### Method

# Snapd Client enable_aliases_sync

deprecated: 1.25 since: 1.8

#### Declaration [src]

    gboolean
    snapd_client_enable_aliases_sync (
      SnapdClient* client,
      const gchar* snap,
      GStrv aliases,
      SnapdProgressCallback progress_callback,
      gpointer progress_callback_data,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Change the state of aliases.

Available since: 1.8

Deprecated since: 1.25

Use snapd_client_alias_sync().

#### Parameters

`snap`

  Type: `const gchar*`

  The name of the snap to modify.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`aliases`

  Type: An array of `utf8`

  The aliases to modify.

  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`progress_callback`

  Type: `SnapdProgressCallback`

  Function to callback with progress.

  The argument can be `NULL`.

`progress_callback_data`

  Type: `gpointer`

  User data to pass to `progress_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success or `FALSE` on error.